import { GenericCrudService } from '../../utils/generic-crud.service';
import { DataSource } from 'typeorm';
import { GoodsCategory } from './goods-category.entity';

export class GoodsCategoryService extends GenericCrudService<GoodsCategory> {
  constructor(dataSource: DataSource) {
    super(dataSource, GoodsCategory);
  }
}